#include<conio.h>
#include<stdio.h>
#include<graphics.h>
main()
{int vekt[50],n,i,gd,gm,max=0,u,v;
float d,a;
clrscr();
puts("h ny adatlessz?"); scanf("%d",&n);
for(i=0;i<n;i++)
{printf("\n A ød adat: ",i+1); scanf("%d",&vekt[i]);
if(vekt[i]>max) max=vekt[i];}
detectgraph(&gd,&gm);
initgraph(&gd,&gm,"D:\\csaboka\\BGI");
u=getmaxx();v=getmaxy();
d=u/(2*n+1.0);
a=(v-20.0)/max;
line(0,v-10,u,v-10);
for(i=0;i<n;i++)
rectangle((2*i+1)*d,v-10,(2*i+2)*d,v-10-a*vekt[i]);
getch();closegraph();}